Calendars: transferOwnership

在 Google Workspace 组织内转移用户之间的辅助日历。需要用户通过管理日历管理员权限进行身份验证,并具有以下授权范围之一:

  • https://www.googleapis.com/auth/calendar
  • https://www.googleapis.com/auth/calendar.calendars
在请求中,将 useAdminAccess 设置为 true。辅助日历必须处于有效状态才能转移。不支持转移已停用或已删除的日历。 立即试用

请求

HTTP 请求

POST https://www.googleapis.com/calendar/v3/calendars/calendarId/transferOwnership

参数

参数名称 说明
路径参数
calendarId string 日历标识符。如需检索日历 ID,请调用 calendarList.list 方法。
必需的查询参数
newDataOwner string 将成为日历数据所有者的用户的电子邮件地址。
useAdminAccess boolean 如果为 true,则该方法会使用用户的 Google Workspace 管理员权限运行。调用用户必须是具有“管理日历”权限的 Google Workspace 管理员。此方法目前仅支持管理员访问权限,因此此字段仅接受 true

授权

此请求需要获得以下至少一个范围的授权:

范围
https://www.googleapis.com/auth/calendar.calendars
https://www.googleapis.com/auth/calendar

如需了解详情,请参阅身份验证和授权页面。

请求正文

使用此方法时请勿提供请求正文。

响应

如果成功,此方法将返回空的响应正文。

试试看!

使用下面的 API Explorer 对实际数据调用此方法,然后查看响应。